
#include "randGen.h"
#include <S.h>

extern "C"
{
  double S_STDCALL S_runif( void );
}

int rdiscrete 
(const TNT::Array1D<double> &prob){

  double unifRV = S_runif();
  int nValues = prob.dim();
  double cumProb=0.0;
  for (int i=0; i<nValues; i++){
    cumProb = cumProb + prob[i];
    if (unifRV < cumProb)  return(i);
  }
  // If the prob vector sums to 1, a value
  // has been returned already.  If not,
  // return a default value.
  return(-1);
}
