// Compiled C subroutine to calculate the jump height sums for each sample 
// from the MCMC

#include "LevyInfer.h"
#include <S.h>


extern "C"{

void zsums(
  char **DatFL, char **DatVL,               // The filenames for the MCMC output
  double *zsum )          // The calculated z sum values will be written to zsum.
{

  LevyInfer li( (*DatFL), (*DatVL), 1.0 );  // The value of dist will not matter for the 
                                            // zsum calculation

  Array1D<double> zArr = li.zsums();

  int nSamps = zArr.dim();
  for( int i=0; i<nSamps; i++ )
    zsum[i] = zArr[i];

  return;
}

}
          


