{cat('######### Check that posterior mean surface is flat when no data given #########'); T;}
{
  agam = 100;  rgam = 0.2;  frac = 0.01;
  eps = -log(1-frac)/rgam;      # About frac/Par$rgam, if frac small.
  area = 1                      # If no data is specified to the
                                # lrfRun function, the region will be
                                # given by xlim = (0,1), ylim = (0,1).
  EM = agam * area * e1( rgam * eps );

  lrfRun(ItnMax = 1e7, ItnBrn = 1e4, TimMax = 5000,
    JmpMax = 1000, frac = frac,   
    SavMax = 1e4, PriPar  = list(apre = 2, rpre = 10, 
                   dist = 0.05,
                   agam = agam,   
                   rgam = rgam),
    OutFile="test",
    dX = c(2, 3, 1), printStats = F);

  java.graph()  
  a <- meanContour("test")
  b <- a$z[4:7,4:7]


  # really should lower the bound here and increase the iterations above.
  (diff(range(b)) / mean(b)) < 0.04
}

