{cat('######### Check that mean of zsums matches prior expectation when no data given #########'); T;}
{
  agam = 100;  rgam = 0.2;  frac = 0.01;
  eps = -log(1-frac)/rgam;      # About frac/Par$rgam, if frac small.
  area = 1                      # If no data is specified to the
                                # lrfRun function, the region will be
                                # given by xlim = (0,1), ylim = (0,1).

  Ez = agam * area * exp(-rgam*eps)/rgam;

  lrfRun(ItnMax = 1e7, ItnBrn = 1e7, 
    JmpMax = 1000, frac = frac,   
    SavMax = 1e4, 
    PriPar  = list(apre = 2, rpre = 10, 
                   dist = 2,
                   agam = agam,   
                   rgam = rgam),
    OutFile="test",
    dX = c(2, 3, 1), printStats = F);

  lrfmcmc <- getMcmc( McmcFile="test", coda.loc =
    "/home/gfs02/dbw59/rlibs", getZsums = T )

  zmean <- mean(lrfmcmc[,"zsum"]);

  # Check that the approximate expected zsum (for frac close to 0)
  # is close to the mean zsum (within 2%)
  return( abs(Ez / zmean - 1) < 0.02);
}

